Skip to main content
GET
/
date_range_category_totals
/
from
/
{start_date}
/
to
/
{end_date}
List category totals between two dates
curl --request GET \
  --url https://int-data.moneydesktop.com/date_range_category_totals/from/{start_date}/to/{end_date} \
  --header 'MD-SESSION-TOKEN: <api-key>'
{
  "date_range_category_totals": [
    {
      "category_guid": "CAT-bf9f3294-4c40-1677-d269-54fbc189faf3",
      "end_date": 1466056800,
      "start_date": 1459490400,
      "total": 155.72,
      "user_guid": "USR-d8843e3e-7153-ce05-db54-fb3241c15d94"
    }
  ]
}

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Path Parameters

start_date
string
required

The start date of the window for which transactions will be returned. Given in ISO 8106 format without a timestamp, e.g., 2013-10-25.

end_date
string
required

The end date of the window for which transactions will be returned. Given in ISO 8106 format without a timestamp, e.g., 2013-10-25.

Query Parameters

account_guid
string

Return totals for transactions belonging only to the specified account GUID.

account_guid[]
string

Return totals for transactions that belong to any of the specified array of account GUID.

Response

200 - application/vnd.mx.nexus.v1+json

OK

date_range_category_totals
object[]